> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/deprecated/eta-estimations.md).

# ETA Estimations

Operations related to ETA Estimations for predicting completion times of long-running platform operations. May provide estimated time-to-completion for document imports, segment calculations, feed initial loading, data replications, and bulk exports, enabling users to plan workflows and monitor progress of asynchronous operations.

## GET /feed\_sessions/pending/{feed\_session\_id}/eta\_estimation

> Estimates the eta for a pending feed session to be running (experimental route, do not use without understanding its computation)

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"ETA Estimations","description":"Operations related to ETA Estimations for predicting completion times of long-running platform operations. May provide estimated time-to-completion for document imports, segment calculations, feed initial loading, data replications, and bulk exports, enabling users to plan workflows and monitor progress of asynchronous operations."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/feed_sessions/pending/{feed_session_id}/eta_estimation":{"get":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/AudienceSegmentFeedSessionEtaEstimation"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"required":true,"schema":{"type":"integer","format":"int64"},"in":"path","style":"simple","explode":false,"description":"The feed session id for which the eta will be calculated","name":"feed_session_id"},{"in":"query","description":"The optional maximum depth of the trajectories considered in the calculus","schema":{"type":"integer","format":"int32"},"style":"form","explode":true,"required":false,"name":"max_computation_depth"},{"description":"It defines whether a simplified computation is made or not","name":"simplified_computation","required":false,"schema":{"type":"boolean"},"explode":true,"style":"form","in":"query"},{"description":"It defines whether debug mode in the returned resource is activated or not","explode":true,"in":"query","name":"debug_mode","schema":{"type":"boolean"},"required":false,"style":"form"}],"description":"","operationId":"estimateFeedSessionEta","tags":["ETA Estimations"],"summary":"Estimates the eta for a pending feed session to be running (experimental route, do not use without understanding its computation)","deprecated":true}}},"components":{"schemas":{"AudienceSegmentFeedSessionEtaEstimation":{"type":"object","properties":{"eta":{"type":"number","format":"float","default":0,"readOnly":false},"computation_information":{"$ref":"#/components/schemas/EtaEstimationComputationInformation"},"info":{"type":"string","readOnly":false}},"required":["eta"]},"EtaEstimationComputationInformation":{"type":"object","properties":{"target_organisation_information":{"$ref":"#/components/schemas/EtaEstimationTargetOrganisationInformation"},"time_factors_by_trajectory_lengths":{"type":"array","items":{"$ref":"#/components/schemas/TrajectoryLengthTimeFactor"},"readOnly":false},"sorted_organisations_pending_feed_sessions":{"type":"array","items":{"$ref":"#/components/schemas/OrganisationPendingFeedSessions"},"readOnly":false},"final_eta_composition":{"$ref":"#/components/schemas/FinalEtaComposition"}},"required":["final_eta_composition","sorted_organisations_pending_feed_sessions","time_factors_by_trajectory_lengths"]},"EtaEstimationTargetOrganisationInformation":{"type":"object","properties":{"organisation_id":{"type":"string","readOnly":false},"trajectory_length":{"type":"integer","format":"int32","default":0,"readOnly":false},"induced_time":{"type":"number","format":"float","default":0,"readOnly":false},"pending_feed_sessions":{"$ref":"#/components/schemas/OrganisationPendingFeedSessions"}},"required":["induced_time","organisation_id","pending_feed_sessions","trajectory_length"]},"OrganisationPendingFeedSessions":{"type":"object","properties":{"organisation_id":{"type":"string","readOnly":false},"pending_feed_sessions":{"type":"array","items":{"$ref":"#/components/schemas/PendingFeedSession"},"readOnly":false}},"required":["organisation_id","pending_feed_sessions"]},"PendingFeedSession":{"type":"object","properties":{"time_to_run":{"type":"number","format":"float","default":0,"readOnly":false},"nb_in_queue":{"type":"integer","format":"int32","default":0,"readOnly":false},"is_target":{"type":"boolean","default":false,"readOnly":false},"cumulative_time_to_run":{"type":"number","format":"float","default":0,"readOnly":false},"id":{"type":"string","readOnly":false}},"required":["cumulative_time_to_run","id","is_target","nb_in_queue","time_to_run"]},"TrajectoryLengthTimeFactor":{"type":"object","properties":{"trajectory_length":{"type":"integer","format":"int32","default":0,"readOnly":false},"time_factor":{"type":"number","format":"float","default":0,"readOnly":false},"associated_probability":{"type":"number","format":"float","default":0,"readOnly":false},"trajectories_with_time_factors":{"type":"array","items":{"$ref":"#/components/schemas/TrajectoryWithTimeFactor"},"readOnly":false}},"required":["associated_probability","time_factor","trajectories_with_time_factors","trajectory_length"]},"TrajectoryWithTimeFactor":{"type":"object","properties":{"trajectory":{"type":"array","items":{"$ref":"#/components/schemas/TrajectoryPoint"},"readOnly":false},"time_factor":{"type":"number","format":"float","default":0,"readOnly":false},"associated_probability":{"type":"number","format":"float","default":0,"readOnly":false}},"required":["associated_probability","time_factor","trajectory"]},"TrajectoryPoint":{"type":"object","properties":{"organisation_id":{"type":"string","readOnly":false},"feed_session_id":{"type":"string","readOnly":false},"nb_in_queue":{"type":"integer","format":"int32","default":0,"readOnly":false},"cumulative_time_to_run":{"type":"number","format":"float","default":0,"readOnly":false}},"required":["cumulative_time_to_run","feed_session_id","nb_in_queue","organisation_id"]},"FinalEtaComposition":{"type":"object","properties":{"raw_eta":{"type":"number","format":"float","default":0,"readOnly":false},"probabilities_sum":{"type":"number","format":"float","default":0,"readOnly":false},"normalized_eta":{"type":"number","format":"float","default":0,"readOnly":false}},"required":["normalized_eta","probabilities_sum","raw_eta"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/deprecated/eta-estimations.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
